Add users to a team
curl --request POST \
--url https://api.projectcor.com/v1/teams/{team_id}/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"users_ids": [
8546
]
}
'import requests
url = "https://api.projectcor.com/v1/teams/{team_id}/users"
payload = { "users_ids": [8546] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({users_ids: [8546]})
};
fetch('https://api.projectcor.com/v1/teams/{team_id}/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.projectcor.com/v1/teams/{team_id}/users';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({users_ids: [8546]})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.projectcor.com/v1/teams/{team_id}/users",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'users_ids' => [
8546
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.projectcor.com/v1/teams/{team_id}/users"
payload := strings.NewReader("{\n \"users_ids\": [\n 8546\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}[
{
"team_id": 4246,
"user_id": 48429,
"created_at": "2026-01-20 19:59:53",
"updated_at": "2026-01-20 19:59:53",
"id": 178149,
"__meta__": {
"company_id": 2336,
"user": {
"id": 48429,
"first_name": "Gonzalo",
"last_name": "Test",
"email": "test@projectcor.com",
"company_id": 2336
}
}
}
]Team Users
Add users to a team
Adds users to a team by providing an array of user IDs.
POST
/
teams
/
{team_id}
/
users
Add users to a team
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Array of user IDs to add or remove from the team
Response
200 - application/json
Users added to team successfully
Team-User relation ID
Team ID
User ID
Creation timestamp in format YYYY-MM-DD HH:MM:SS
Example:
"2026-01-21 14:09:52"
Last update timestamp in format YYYY-MM-DD HH:MM:SS
Example:
"2026-01-21 14:09:52"
Deletion timestamp (only present when removing users)
Show child attributes
Show child attributes
Was this page helpful?
⌘I

